#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOShareDelete()
#   Usable environment variable:
#       NITEMS, SHARE_NAME_X, SHARE_PATH_X, SHARE_OP_RESULT_X
###############################################################

case $1 in
    --sdk-mod-ver)
	    #Print SDK support version
		version=`/var/packages/CloudStation/target/scripts/CSTNShareDelete.sh --sdk-mod-ver`
        echo "$version";
    ;;
    --name)
        #Print package name
		name=`/var/packages/CloudStation/target/scripts/CSTNShareDelete.sh --name`
        echo "${name}";
    ;;
    --pkg-ver)
        #Print package version
		pkg_ver=`/var/packages/CloudStation/target/scripts/CSTNShareDelete.sh --pkg-ver`
        echo "${pkg_ver}";
    ;;
    --vendor)
        #Print package vendor
		vendor=`/var/packages/CloudStation/target/scripts/CSTNShareDelete.sh --vendor`
        echo "${vendor}";
    ;;
    --pre)
		/var/packages/CloudStation/target/scripts/CSTNShareDelete.sh --pre
    ;;
    --post)
		/var/packages/CloudStation/target/scripts/CSTNShareDelete.sh --post
    ;;
    *)
        echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
    ;;
esac
