#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOUserDelete()
#   Usable environment variable:
#       NITEMS, USER_NAME_X, USER_OP_RESULT_X, RESULT
###############################################################

case $1 in
    --sdk-mod-ver)
	    #Print SDK support version
		version=`/var/packages/CloudStation/target/scripts/CSTNUserDelete.sh --sdk-mod-ver`
        echo "$version";
    	;;
    --name)
        #Print package name
		name=`/var/packages/CloudStation/target/scripts/CSTNUserDelete.sh --name`
        echo "${name}";
    	;;
    --pkg-ver)
        #Print package version
		pkg_ver=`/var/packages/CloudStation/target/scripts/CSTNUserDelete.sh --pkg-ver`
        echo "$pkg_ver";
    	;;
    --vendor)
        #Print package vendor
		vendor=`/var/packages/CloudStation/target/scripts/CSTNUserDelete.sh --vendor`
        echo "$vendor";
    	;;
    --pre)
		/var/packages/CloudStation/target/scripts/CSTNUserDelete.sh --pre &
    	;;
    --post)
		/var/packages/CloudStation/target/scripts/CSTNUserDelete.sh --post &
    	;;
    *)
        echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
    	;;
esac
