BEGIN;

CREATE TABLE eventinfo(
 id integer primary key,
 fileType integer NOT NULL,
 isExist integer NOT NULL,
 syncID NUMERIC NOT NULL,
 pDirID NUMERIC default NULL,
 fileSize NUMERIC NOT NULL,
 fileModTime NUMERIC NOT NULL,
 fileCheckSum text NOT NULL,
 baseName text NOT NULL,
 path text unique NOT NULL,
 filePrivilege text default NULL,
 updateClient text NOT NULL,
 signPath text default NULL
);

CREATE INDEX eventinfo_syncID_idx on eventinfo(syncID);
CREATE INDEX eventinfo_baseName_idx on eventinfo(baseName);
CREATE INDEX eventinfo_path_idx on eventinfo(path);
CREATE INDEX eventinfo_updateClient_idx on eventinfo(updateClient);

COMMIT;


